Bug 1582251

Summary: SELinux warning when starting Varnish
Product: [Fedora] Fedora Reporter: Daniel <code>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: dwalsh, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: selinux-policy-3.14.1-30.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-30 14:10:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Daniel 2018-05-24 16:15:19 UTC
Version-Release number of selected component (if applicable):
varnish 5.2.1-4.fc28

How reproducible:
Every time.

Steps to Reproduce:
1. dnf install varnish -y
2. systemctl start varnish.service
3. journalctl -ex

Actual results:
systemd[1]: Starting Varnish Cache, a high-performance HTTP accelerator...
audit[1898]: AVC avc:  denied  { write } for  pid=1898 comm="varnishd" name="system_bus_socket" dev="tmpfs" ino=15550 scontext=system_u:system_r:varnishd_t:s0 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file permissive=0
varnishd[1897]: Debug: Platform: Linux,4.16.10-300.fc28.x86_64,x86_64,-junix,-smalloc,-smalloc,-hcritbit
varnishd[1898]: Platform: Linux,4.16.10-300.fc28.x86_64,x86_64,-junix,-smalloc,-smalloc,-hcritbit
varnishd[1897]: Debug: Child (1908) Started
varnishd[1898]: Child (1908) Started
systemd[1]: Started Varnish Cache, a high-performance HTTP accelerator.

Workaround:
allow varnishd_t system_dbusd_var_run_t:sock_file write;

Comment 1 Fedora Update System 2018-05-27 19:21:27 UTC
selinux-policy-3.14.1-30.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-20854ee84e

Comment 2 Fedora Update System 2018-05-28 15:48:46 UTC
selinux-policy-3.14.1-30.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-20854ee84e

Comment 3 Fedora Update System 2018-05-30 14:10:28 UTC
selinux-policy-3.14.1-30.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.